/****************************************************************
ConfigClientMain.C
CS 481 - Team A
Spring 1997
Hummingbird Project - Dr. Frincke
Coded by: Pete Neisen
Description:  This is the class definition to the client half of the 
             configuration propagation system. The client connects to
	     the server of the subordinates and send the correct tabls.
*****************************************************************/
/*
 Copyright (C) 1997-1998 The HummingBird Project - hummer@cs.uidaho.edu

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

static char ConfigClientMain_C[] = "$Id: ConfigClientMain.C,v 1.18 1998/03/06 23:00:06 marc9442 Exp $";

#include "ConfigClient.h"     // The configuration client object

/**********
Function: Main
Purpose:  This function creates the configuration client object and Push the
          config
**********/

int main(void)
{
  ConfigClient ConfigurationClient;

  ConfigurationClient.PushConfig();

  return 0;
}

