/*
 Copyright (C) 1997-1998 The HummingBird Project - hummer@cs.uidaho.edu

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "Hummer_PG.h"
#include "Print_Error.h" 


main ()
{


  PgDatabase *peersdb = OpenDB();
  if (!peersdb) {
    Print_Error("PeerI","Unsuccessful attempt at opening table.");
    delete peersdb;
    return 0;
  }
     
  if (QueryDB(&peersdb,"select * from pid") != -1) {
    Print_Error("PeerI","Table insert query unsuccessful");
    delete peersdb;
    return 0;
  }
  
  for (int i=0;i<peersdb->Tuples();i++) {
   
    Print_Error("PeerI","Table insert query successful.");
  }
  
  return 1;
}
