#! &PERL&

#
# Copyright (C) 1997-1998 The HummingBird Project - hummer@cs.uidaho.edu
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

use CGI qw(:standard);
use Pg;
use strict;

use Sys::Hostname;
my $host = hostname();

my $conn = Pg::connectdb("dbname = hummer_$host");
( PGRES_CONNECTION_OK eq $conn->status ) || die "connection:$!";
my $result;

print header;
print start_html(-title=>'Send Action Message',
		 -TEXT=>'black', 
		 -BGCOLOR=>'white',
		 -LINK=>'blue',
		 -VLINK=>'purple');
print "<CENTER><IMG SRC=\"hummer2.JPG\" BORDER=0 HEIGHT=154 WIDTH=377>",
  h1('Send Action Message'),
  hr,
  "</center>";

if (!param('Action')) {
  print "<center>",
  start_form,

  "Action Type: ",
  popup_menu(-name=>'type',
	     -value=> [ 'New Filter','Remove Filter',
			'Start Data Collection', 'Stop Data Collection']),
  br;
   
  $result = $conn->exec("select * from filter;");
  (PGRES_TUPLES_OK eq $result->resultStatus) || exit;
  
  my @filters;
  my $i;
  for ($i=0; $i < $result->ntuples; $i++) {
    $filters[$i] = $result->getvalue($i, $result->fnumber("expression"));
  } 
  
  print "Select a expression",
  popup_menu(-name=>'filter',
	     -values=> [ @filters ]),
  br,
  
  "Tool URL:", textfield(-name=> 'url',
			-value=> 'hdgt://kraken.cs.uidaho.edu/~hummer/bdftool.pl'),
  br,
  "Action Results sent to: ",
  popup_menu(-name=>'result',
	     -values=> [ 'All Group Members', 'To Me Only' ]),
  br;
    
  my @groupnames;
  for ($i=0; $i < $result->ntuples; $i++) {
    $groupnames[$i] = $result->getvalue($i,0);
  }
  
#  print "Forward this message to the Peer Groups:",br,br,
  
#  scrolling_list(-name=>'forward_peer',
#		 -values=>[ @groupnames ],
#		 -size=>5,
#		 -multiple=>'true');
  
#  print "</td></tr></table>",
#  hr,
  print submit('Action','Send Message'),
  reset(),
  button(-value=>'Cancel',
	 -onclick=>"history.back()"),
  end_form,
  "</center>\n";
}
else {

  print h2("The action message was sent."),
  br,br;
}

print "<A HREF=\"index.html\">Return to Main Configuration Page</A>";
print end_html;
