#! &PERL&

#
# Copyright (C) 1997-1998 The HummingBird Project - hummer@cs.uidaho.edu
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

use CGI qw(:standard);
use Pg;
use strict;

use Sys::Hostname;
my $host = hostname();
my $domain = `domainname`;
chop $domain;

my $hname;
my $ipaddress;  

$hname = $host . "." . $domain;
$ipaddress = &getaddress($hname);

my $conn = Pg::connectdb("dbname = hummer_$host");
( PGRES_CONNECTION_OK eq $conn->status ) || exit;
my $result = $conn->exec("select distinct pgroup from peers where peer_mod=0 and mem_addr = '$ipaddress';");
(PGRES_TUPLES_OK eq $result->resultStatus) || exit;

my @groupnames;
my $i;
my $tuples=$result->ntuples;
for ($i=0; $i < $result->ntuples; $i++) {
  $groupnames[$i] = $result->getvalue($i,0);
}

print header;
print start_html(-title=>'Peer Group UnSubscribe Interface',
		 -TEXT=>'black', 
		 -BGCOLOR=>'white',
		 -LINK=>'blue',
		 -VLINK=>'purple'),
  "<CENTER><IMG SRC=\"hummer2.JPG\" BORDER=0 HEIGHT=154 WIDTH=377>",
  
  h1('Peer Group UnSubscribe Interface');


if (param()) {
#  my $host = param('host');
  my $name = param('name');
  print "<H4><A HREF=\"peer2peer.shtml\">Return to Peer Moderation Page</A></H4>",
  "<HR WIDTH=\"87%\">",
  "<B><I><FONT SIZE=+2>UnSubscribed from Peer Group \"$name\".</FONT></I></B><P>";

  my $result = $conn->exec("delete from forward_peer where pgroup = '$name';");  
  system "./PeerI -u \"$name\"";

}
else {
  print a({href=>"peer_unsubscr_help.html"},"<H3>Help</H3>"),
  "<H4><A HREF=\"peer2peer.shtml\">Return to Peer Moderation Page</A></H4>",
  
  "<HR WIDTH=\"87%\">",
  "<B><I><FONT SIZE=+2>Enter the Peer Group information</FONT></I></B><BR>",
  "<I><FONT SIZE=+1>Note:  You cannot \"unsubscribe\" from a group that you moderate;<BR>",
  "use \"Edit a Peer Group\" instead.</FONT></I><BR>",  
  start_form,
  
  "Name of the Peer Group:",  popup_menu(-name=>'name',
					 -values=> [ @groupnames ]), br,
  
  
  submit(-name=>'UnSubscribe'),
  reset(),
  button(-value=>'Cancel',
	 -onclick=>"history.back()"),
  
  end_form;
}

print p,
  "</center>";

sub getaddress {
  my($hname) = @_;
  my $add  = '';
  my $addre;
  my $address=gethostbyname($hname);
  my @addr=unpack('C4',$address);
  foreach $addre (@addr) {
    $add = $add . $addre . ".";
  }
  chop $add;
  return $add;
}
