#! &PERL& -I&INCDIR&
# -*- perl -*-

#########################################################
#	CS481 Team A Senior Design Team			#
#	Customer : Dr. D Frincke   3/28/97		#
#			                                #
#	Team Members:  					#
#	Casey Coltrin					#
#	Joe Dowding					#
#	Troy Holmberg					#
#	Pete Neisen					#
#							#
#   This tool was designed to terminate all tools  	#
# with pids occuring in the pid storage file.		#
#########################################################

#
# Copyright (C) 1997-1998 The HummingBird Project - hummer@cs.uidaho.edu
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

use Pg;
use Sys::Hostname;
my $host = hostname();

#opens the a pipe to ps or writes error message to the screen
#open (PS, "ps -e|") || die "Can't open pid storage file.\n";

# a list of the tools to search for and terminate
%tools = (
	  "sutool" => 1,
	  "systool" => 1,
	  "mailtool"=> 1,
	  "acstool"=> 1,
	  "alert"=> 1,
	  "ConServ"=> 1,
	  "Server"=> 1,
	  "ConClient"=> 1,
	  "ConClien"=> 1,
	  "bdfAlert"=> 1,
	  "uptimetool"=> 1,
	  "uptimeto"=> 1,
	  "DiskAudi"=> 1,
	  "DiskAudit"=> 1,
	  "bdftool"=> 1,
	  "whotool"=> 1
	  );

#searches the temp file for target processes
#while (<PS>)
#{
    #removes the end of line character
  #  chop;
    
    #parses the data gathered for pid, device, time, and process name
 #   ($g1,$progid,$device,$tooltime,$tn) = split(/\s+/,$_);	
    
    #if the process name matches one of those above, the process is terminated
#    if ($tools{$tn}) {
	#print "Terminated : $progid : $tn\n";
	#kill 2, $progid;
 #   }
#}

#closes the pipe file
close (PS);

my $conn = Pg::connectdb("dbname = hummer_$host");
( PGRES_CONNECTION_OK eq $conn->status ) || die "Can't Connect to DB\n";
my $result = $conn->exec("select * from pid");
( PGRES_TUPLES_OK eq $result->resultStatus) || die "No Tuples\n";

for ($i=0; $i < $result->ntuples; $i++) {
    $progid = $result->getvalue($i, 1);
    $name = $result->getvalue($i, 0);
    print "Terminated : $progid : $name\n";
    kill 2, $progid;
}

#close apache web server
open (PS, "&SRVROOT&/logs/httpd.pid") || die "Can't open pid storage file.\n";

$_ = <PS>;
chop;
kill 15, $_;

close (PS);

print "Terminated : $_ : httpd\n";
