/*
 Copyright (C) 1997-1998 The HummingBird Project - hummer@cs.uidaho.edu

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <config.h>

#include "sock_cli.h"

#include <iostream.h>

main()
{

  sock_cli *OutSocket;
  OutSocket = new sock_cli();
  OutSocket->set_names("./my.keytab", "marc9442");
  OutSocket->create();
  if(!OutSocket->connect("kraken.cs.uidaho.edu",15005,"simple")) {
    fprintf(stderr, "Connection Failure");
  }
  
  if (OutSocket->send_auth()) {
    
    for (int i=0;  i<10; i++) {
      OutSocket->write("I am client hear me roar!\n");
      cout << i << " " << flush;
    }
    for (int i=0;  i<10; i++) {
      OutSocket->write("I am client hear me roar!");
      cout << i << " " << flush;
    }
    OutSocket->write("END;\n");
    cout << "\nEND" << endl;
    
    OutSocket->write("I am client hear me roar!\n");
    cout << "last write" << endl;
    
    char *buf;
    buf = new char[1024];
    cout << "reading" << endl;
    OutSocket->read(buf, 1024);
    cout << buf << endl;
    delete [] buf;
  }
  
  OutSocket->close();
  
  delete OutSocket;

}


